# Uses of Enum Class
org.snpeff.interval.TranscriptSupportLevel

Packages that use TranscriptSupportLevel
Package
Description
org.snpeff
org.snpeff.interval
org.snpeff.snpEffect

## Uses of TranscriptSupportLevel in org.snpeff

Fields in org.snpeff declared as TranscriptSupportLevel
Modifier and Type
Field
Description
`protected TranscriptSupportLevel`
SnpEff.`maxTranscriptSupportLevel`

## Uses of TranscriptSupportLevel in org.snpeff.interval

Subclasses with type arguments of type TranscriptSupportLevel in org.snpeff.interval
Modifier and Type
Class
Description
`enum`
`TranscriptSupportLevel`
Transcript level support Reference: http://useast.ensembl.org/Help/Glossary?id=492;redirect=no
Methods in org.snpeff.interval that return TranscriptSupportLevel
Modifier and Type
Method
Description
`TranscriptSupportLevel`
Transcript.`getTranscriptSupportLevel()`
`static TranscriptSupportLevel`
TranscriptSupportLevel.`parse(String str)`
`static TranscriptSupportLevel`
TranscriptSupportLevel.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TranscriptSupportLevel[]`
TranscriptSupportLevel.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.snpeff.interval with parameters of type TranscriptSupportLevel
Modifier and Type
Method
Description
`void`
Gene.`filterTranscriptSupportLevel(TranscriptSupportLevel maxTsl)`
Filter transcripts by TSL
`void`
Transcript.`setTranscriptSupportLevel(TranscriptSupportLevel transcriptSupportLevel)`
`static int`
TranscriptSupportLevel.`tsl(TranscriptSupportLevel tsl)`
Return TSL level (-1 if not available / invalid)

## Uses of TranscriptSupportLevel in org.snpeff.snpEffect

Methods in org.snpeff.snpEffect with parameters of type TranscriptSupportLevel
Modifier and Type
Method
Description
`void`
SnpEffectPredictor.`filterTranscriptSupportLevel(TranscriptSupportLevel maxTsl)`
Filter transcripts by TSL